%define upstream_name	 IO-Zlib
%define upstream_version 1.10

Name:		perl-%{upstream_name}
Version:	 %{upstream_version}
Release:	%mkrel 10
Summary:	IO:: style interface to Compress::Zlib
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Compress::Zlib)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
IO::Zlib provides an IO:: style interface to Compress::Zlib and hence
to gzip/zlib compressed files. It provides many of the same methods as
the IO::Handle interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"


%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/IO/*
%exclude %{_mandir}/man?/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


